#!/bin/bash 

# Additional information:
# =======================
#
# Information about the pipeline is given here.  
#

# Show usage information:
if [ "${1}" == "--h" ] || [ "${1}" == "--help" ] || [ "${1}" == "-h" ] || [ "${1}" == "-help" ]
then
	echo "" 
	echo "Start Majops Skeleton Script Bash Pipeline is the base for making new start bash scripts "
	echo "for pipelines in Bash."
	echo "The user has to type here what the pipeline can perform and does."
	echo "" 
	echo "Way of usage:" 
	echo "" 
	echo "The user has to type here how the pipeline can be started with this start bash script."
	echo ""
	echo "Example:" 
	echo ""
	echo "bash StartMajopsSkeletonScriptBashPipeline.sh"
	echo ""
	
	exit  
fi

# Show the all .txt files in the current working directory.
echo ""
echo "Text files in the current working directory:"
echo ""
ls 
echo ""

# Ask questions to the user for the right input.
echo ""
echo -n "What is ...? "
read exampleVariable


# Check presence of the script files.
onePipelineItemMissing=false

# All the necessary files and directories of the pipeline must be present.
# Their presences are checked.

for pipelineFile in \
	MajopsSkeletonScriptBash.sh \
	MajopsSkeletonScriptBashPipeline.sh \
	MajopsSkeletonScriptC \
	MajopsSkeletonScriptC.c \
	MajopsSkeletonScriptCpp \
	MajopsSkeletonScriptCpp.cpp \
	MajopsSkeletonScriptD \
	MajopsSkeletonScriptD.d \
	MajopsSkeletonScriptD.o \
	MajopsSkeletonScriptGo.go \
	MajopsSkeletonScriptJava.class \
	MajopsSkeletonScriptJava.java \
	MajopsSkeletonScriptLua.lua \
	MajopsSkeletonScriptPascal \
	MajopsSkeletonScriptPascal.o \
	MajopsSkeletonScriptPascal.pas \
	MajopsSkeletonScriptPerl.pl \
	MajopsSkeletonScriptPython2.py \
	MajopsSkeletonScriptPython3.py \
	MajopsSkeletonScriptR.R \
	MajopsSkeletonScriptRuby.rb \
	MajopsSkeletonScriptScala.class \
	MajopsSkeletonScriptScala.scala \
	MajopsSkeletonScriptScala$.class
		
	# All the pipeline files and possible input files are listed here. 
do
	if ! [ -f ${pipelineFile} ]
	then
		echo ${pipelineFile}" does not exist." 
		onePipelineItemMissing=true
	fi
done

# Exit, if one or more pipeline items are missing.
if ${onePipelineItemMissing}
then
	echo "The Majops Skeleton Script Bash Pipeline is aborted."
	
	exit 	
fi

# The right command line arguments are generated out of the answers 
# of the questions here. 


# The Majops Skeleton Script Bash Pipeline is started.

bash MajopsSkeletonScriptBashPipeline.sh ${exampleVariable}

